IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ff00::/16- First address
ff00::- Last address
ff00:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ff00:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
0.0.f.f.ip6.arpa
Split into smaller subnets
ff00::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00::/28 | ff00:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:10::/28 | ff00:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:20::/28 | ff00:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:30::/28 | ff00:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:40::/28 | ff00:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:50::/28 | ff00:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:60::/28 | ff00:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:70::/28 | ff00:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:80::/28 | ff00:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:90::/28 | ff00:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:a0::/28 | ff00:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:b0::/28 | ff00:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:c0::/28 | ff00:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:d0::/28 | ff00:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:e0::/28 | ff00:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:f0::/28 | ff00:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:100::/28 | ff00:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:110::/28 | ff00:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:120::/28 | ff00:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:130::/28 | ff00:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:140::/28 | ff00:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:150::/28 | ff00:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:160::/28 | ff00:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:170::/28 | ff00:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:180::/28 | ff00:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:190::/28 | ff00:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:1a0::/28 | ff00:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:1b0::/28 | ff00:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:1c0::/28 | ff00:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:1d0::/28 | ff00:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:1e0::/28 | ff00:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:1f0::/28 | ff00:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:200::/28 | ff00:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:210::/28 | ff00:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:220::/28 | ff00:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:230::/28 | ff00:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:240::/28 | ff00:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:250::/28 | ff00:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:260::/28 | ff00:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:270::/28 | ff00:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:280::/28 | ff00:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:290::/28 | ff00:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:2a0::/28 | ff00:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:2b0::/28 | ff00:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:2c0::/28 | ff00:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:2d0::/28 | ff00:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:2e0::/28 | ff00:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:2f0::/28 | ff00:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:300::/28 | ff00:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:310::/28 | ff00:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:320::/28 | ff00:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:330::/28 | ff00:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:340::/28 | ff00:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:350::/28 | ff00:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:360::/28 | ff00:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:370::/28 | ff00:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:380::/28 | ff00:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:390::/28 | ff00:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:3a0::/28 | ff00:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:3b0::/28 | ff00:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:3c0::/28 | ff00:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:3d0::/28 | ff00:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:3e0::/28 | ff00:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:3f0::/28 | ff00:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:400::/28 | ff00:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:410::/28 | ff00:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:420::/28 | ff00:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:430::/28 | ff00:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:440::/28 | ff00:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:450::/28 | ff00:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:460::/28 | ff00:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:470::/28 | ff00:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:480::/28 | ff00:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:490::/28 | ff00:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:4a0::/28 | ff00:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:4b0::/28 | ff00:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:4c0::/28 | ff00:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:4d0::/28 | ff00:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:4e0::/28 | ff00:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:4f0::/28 | ff00:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:500::/28 | ff00:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:510::/28 | ff00:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:520::/28 | ff00:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:530::/28 | ff00:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:540::/28 | ff00:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:550::/28 | ff00:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:560::/28 | ff00:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:570::/28 | ff00:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:580::/28 | ff00:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:590::/28 | ff00:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:5a0::/28 | ff00:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:5b0::/28 | ff00:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:5c0::/28 | ff00:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:5d0::/28 | ff00:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:5e0::/28 | ff00:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:5f0::/28 | ff00:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:600::/28 | ff00:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:610::/28 | ff00:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:620::/28 | ff00:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:630::/28 | ff00:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:640::/28 | ff00:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:650::/28 | ff00:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:660::/28 | ff00:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:670::/28 | ff00:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:680::/28 | ff00:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:690::/28 | ff00:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:6a0::/28 | ff00:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:6b0::/28 | ff00:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:6c0::/28 | ff00:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:6d0::/28 | ff00:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:6e0::/28 | ff00:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:6f0::/28 | ff00:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:700::/28 | ff00:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:710::/28 | ff00:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:720::/28 | ff00:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:730::/28 | ff00:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:740::/28 | ff00:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:750::/28 | ff00:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:760::/28 | ff00:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:770::/28 | ff00:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:780::/28 | ff00:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:790::/28 | ff00:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:7a0::/28 | ff00:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:7b0::/28 | ff00:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:7c0::/28 | ff00:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:7d0::/28 | ff00:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:7e0::/28 | ff00:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:7f0::/28 | ff00:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:800::/28 | ff00:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:810::/28 | ff00:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:820::/28 | ff00:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:830::/28 | ff00:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:840::/28 | ff00:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:850::/28 | ff00:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:860::/28 | ff00:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:870::/28 | ff00:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:880::/28 | ff00:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:890::/28 | ff00:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:8a0::/28 | ff00:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:8b0::/28 | ff00:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:8c0::/28 | ff00:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:8d0::/28 | ff00:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:8e0::/28 | ff00:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:8f0::/28 | ff00:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:900::/28 | ff00:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:910::/28 | ff00:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:920::/28 | ff00:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:930::/28 | ff00:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:940::/28 | ff00:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:950::/28 | ff00:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:960::/28 | ff00:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:970::/28 | ff00:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:980::/28 | ff00:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:990::/28 | ff00:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:9a0::/28 | ff00:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:9b0::/28 | ff00:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:9c0::/28 | ff00:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:9d0::/28 | ff00:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:9e0::/28 | ff00:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:9f0::/28 | ff00:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:a00::/28 | ff00:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:a10::/28 | ff00:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:a20::/28 | ff00:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:a30::/28 | ff00:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:a40::/28 | ff00:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:a50::/28 | ff00:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:a60::/28 | ff00:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:a70::/28 | ff00:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:a80::/28 | ff00:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:a90::/28 | ff00:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:aa0::/28 | ff00:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:ab0::/28 | ff00:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:ac0::/28 | ff00:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:ad0::/28 | ff00:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:ae0::/28 | ff00:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:af0::/28 | ff00:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:b00::/28 | ff00:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:b10::/28 | ff00:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:b20::/28 | ff00:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:b30::/28 | ff00:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:b40::/28 | ff00:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:b50::/28 | ff00:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:b60::/28 | ff00:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:b70::/28 | ff00:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:b80::/28 | ff00:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:b90::/28 | ff00:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:ba0::/28 | ff00:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:bb0::/28 | ff00:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:bc0::/28 | ff00:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:bd0::/28 | ff00:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:be0::/28 | ff00:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:bf0::/28 | ff00:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:c00::/28 | ff00:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:c10::/28 | ff00:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:c20::/28 | ff00:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:c30::/28 | ff00:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:c40::/28 | ff00:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:c50::/28 | ff00:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:c60::/28 | ff00:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:c70::/28 | ff00:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:c80::/28 | ff00:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:c90::/28 | ff00:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:ca0::/28 | ff00:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:cb0::/28 | ff00:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:cc0::/28 | ff00:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:cd0::/28 | ff00:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:ce0::/28 | ff00:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:cf0::/28 | ff00:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:d00::/28 | ff00:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:d10::/28 | ff00:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:d20::/28 | ff00:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:d30::/28 | ff00:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:d40::/28 | ff00:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:d50::/28 | ff00:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:d60::/28 | ff00:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:d70::/28 | ff00:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:d80::/28 | ff00:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:d90::/28 | ff00:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:da0::/28 | ff00:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:db0::/28 | ff00:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:dc0::/28 | ff00:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:dd0::/28 | ff00:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:de0::/28 | ff00:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:df0::/28 | ff00:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:e00::/28 | ff00:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:e10::/28 | ff00:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:e20::/28 | ff00:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:e30::/28 | ff00:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:e40::/28 | ff00:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:e50::/28 | ff00:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:e60::/28 | ff00:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:e70::/28 | ff00:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:e80::/28 | ff00:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:e90::/28 | ff00:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:ea0::/28 | ff00:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:eb0::/28 | ff00:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:ec0::/28 | ff00:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:ed0::/28 | ff00:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:ee0::/28 | ff00:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:ef0::/28 | ff00:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:f00::/28 | ff00:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:f10::/28 | ff00:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:f20::/28 | ff00:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:f30::/28 | ff00:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:f40::/28 | ff00:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:f50::/28 | ff00:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:f60::/28 | ff00:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:f70::/28 | ff00:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:f80::/28 | ff00:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:f90::/28 | ff00:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:fa0::/28 | ff00:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:fb0::/28 | ff00:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:fc0::/28 | ff00:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:fd0::/28 | ff00:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:fe0::/28 | ff00:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:ff0::/28 | ff00:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |